---
title: Tables
description: Manage tables in an InfluxDB 3 Cloud Dedicated database, including creating tables with custom column schemas.
url: https://docs.influxdata.com/influxdb3/cloud-dedicated/api/management-api/tables/
estimated_tokens: 10701
product: InfluxDB Cloud Dedicated
version: cloud-dedicated
---

[Download Cloud Dedicated Management API Spec](/openapi/influxdb-cloud-dedicated-management-api.yml)

Manage tables in an InfluxDB 3 Cloud Dedicated database, including creating tables with custom column schemas.

POST `/accounts/{accountId}/clusters/{clusterId}/databases/{databaseName}/tables`

### Create a database table

Create a table. The database must already exist. With InfluxDB Cloud Dedicated, tables and measurements are synonymous.

Typically, tables are created automatically on write using the measurement name specified in line protocol written to InfluxDB. However, to apply a custom partition template to a table, you must manually create the table with custom partitioning before you write any data to it.

Partitioning defaults to `%Y-%m-%d` (daily). When a partition template is applied to a database, it becomes the default template for all tables in that database, but can be overridden when creating a table.

#### Parameters

##### Path parameters

`accountId` required string

The ID of the account to create the database table for

`clusterId` required string

The ID of the cluster to create the database table for

`databaseName` required string

The name of the database to create the database table for

#### Request body required

Content-Type: `application/json`

`name` required string

`partitionTemplate` string

Example request [Ask AI about this](#)

```sh
curl --request POST \
  "https://console.influxdata.com/api/v0/accounts/{accountId}/clusters/{clusterId}/databases/{databaseName}/tables" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "name": "NAME",
  "partitionTemplate": []
}'
```

#### Responses

200 The cluster database table was successfully created

`accountId` required string

The ID of the account that the database table belongs to

`clusterId` required string

The ID of the cluster that the database table belongs to

`databaseName` required string

The name of the database that the database table belongs to

`name` required string

The name of the database table

`partitionTemplate` string

400 Bad Request

`code` required integer

`message` required string

401 Unauthorized

`code` required integer

`message` required string

403 Forbidden

`code` required integer

`message` required string

404 Not Found

`code` required integer

`message` required string

409 Conflict

`code` required integer

`message` required string

500 Internal Server Error

`code` required integer

`message` required string

PUT `/accounts/{accountId}/clusters/{clusterId}/databases/{databaseName}/tables/{tableId}/undelete`

### Undelete a database table

Restores a previously deleted database table.

This operation can only be performed on tables that have been soft-deleted and are still within the recovery window.

#### Parameters

##### Path parameters

`accountId` required string

The ID of the account that the database table belongs to

`clusterId` required string

The ID of the cluster that the database table belongs to

`databaseName` required string

The name of the database that the table belongs to

`tableId` required integer <int64>

The ID of the table to undelete

Example request [Ask AI about this](#)

```sh
curl --request PUT \
  "https://console.influxdata.com/api/v0/accounts/{accountId}/clusters/{clusterId}/databases/{databaseName}/tables/{tableId}/undelete" \
  --header "Authorization: Bearer INFLUX_TOKEN"
```

#### Responses

200 The cluster database table was successfully undeleted

`accountId` required string

The ID of the account that the database table belongs to

`clusterId` required string

The ID of the cluster that the database table belongs to

`databaseName` required string

The name of the database that the table belongs to

`id` required integer <int64>

The ID of the table

`name` required string

The name of the table

`partitionTemplate` string

400 Bad Request

`code` required integer

`message` required string

401 Unauthorized

`code` required integer

`message` required string

403 Forbidden

`code` required integer

`message` required string

404 Not Found

`code` required integer

`message` required string

500 Internal Server Error

`code` required integer

`message` required string

DELETE `/accounts/{accountId}/clusters/{clusterId}/databases/{databaseName}/tables/{tableName}`

### Delete a database table

#### Parameters

##### Path parameters

`accountId` required string

The ID of the account that the database table belongs to

`clusterId` required string

The ID of the cluster that the database table belongs to

`databaseName` required string

The name of the database that the database table belongs to

`tableName` required string

The name of the database table to delete

Example request [Ask AI about this](#)

```sh
curl --request DELETE \
  "https://console.influxdata.com/api/v0/accounts/{accountId}/clusters/{clusterId}/databases/{databaseName}/tables/{tableName}" \
  --header "Authorization: Bearer INFLUX_TOKEN"
```

#### Responses

204 The cluster database table was successfully deleted

400 Bad Request

`code` required integer

`message` required string

401 Unauthorized

`code` required integer

`message` required string

403 Forbidden

`code` required integer

`message` required string

404 Not Found

`code` required integer

`message` required string

500 Internal Server Error

`code` required integer

`message` required string

PUT `/accounts/{accountId}/clusters/{clusterId}/databases/{databaseName}/tables/{tableName}/rename`

### Rename a database table

#### Parameters

##### Path parameters

`accountId` required string

The ID of the account that the database table belongs to

`clusterId` required string

The ID of the cluster that the database table belongs to

`databaseName` required string

The name of the database that the database table belongs to

`tableName` required string

The name of the database table to rename

#### Request body required

Content-Type: `application/json`

`name` required string

Example request [Ask AI about this](#)

```sh
curl --request PUT \
  "https://console.influxdata.com/api/v0/accounts/{accountId}/clusters/{clusterId}/databases/{databaseName}/tables/{tableName}/rename" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "name": "NAME"
}'
```

#### Responses

200 The cluster database table was successfully renamed

`accountId` required string

The ID of the account that the database table belongs to

`clusterId` required string

The ID of the cluster that the database table belongs to

`databaseName` required string

The name of the database that the table belongs to

`id` required integer <int64>

The ID of the table

`name` required string

The name of the table

`partitionTemplate` string

400 Bad Request

`code` required integer

`message` required string

401 Unauthorized

`code` required integer

`message` required string

403 Forbidden

`code` required integer

`message` required string

404 Not Found

`code` required integer

`message` required string

409 Conflict

`code` required integer

`message` required string

500 Internal Server Error

`code` required integer

`message` required string

#### Related

-   [Manage tables](/influxdb3/cloud-dedicated/admin/tables/)
-   [Create a table with custom partitioning](/influxdb3/cloud-dedicated/admin/tables/#create-a-table-with-custom-partitioning)
-   [Custom partitions](/influxdb3/cloud-dedicated/admin/custom-partitions/)
-   [InfluxDB 3 API client libraries](/influxdb3/cloud-dedicated/reference/client-libraries/v3/)
